<h2><%= _('Environment settings') %></h2>

<%= error_messages_for :environment %>

<%= render :file => 'shared/tiny_mce' %>

<%= labelled_form_for :environment do |f| %>
  <% tabs = [] %>
  <% tabs << {:title => _('Site info'), :id => 'site-info',
    :content => (render :partial => 'site_info', :locals => {:f => f})} %>
  <% tabs << {:title => _('Terms of use'), :id => 'terms-of-use',
    :content => (render :partial => 'terms_of_use', :locals => {:f => f})} %>
  <% tabs << {:title => _('Signup welcome text'), :id => 'signup-welcome-text',
    :content => (render :partial => 'signup_welcome_text', :locals => {:f => f})} %>
  <% tabs << {:title => _('Signup welcome message'), :id => 'signup-welcome-message',
    :content => (render :partial => 'signup_welcome_screen', :locals => {:f => f}) }%>
  <%= render_tabs(tabs) %>
  <% button_bar do %>
    <%= submit_button(:save, _('Save'), :cancel => {:action => 'index'}) %>
  <% end %>
<% end %>
